<?
 /*SCRIPT PARA ALMACENAR UNIDADES DEL BANCO DE PREGUNTAS/
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_c();

  if(!$tipo_trn){
    alert("Parámetros incorrectos","frm_login.php");
  }

switch ($tipo_trn){
case "Add":
$txtcurso=dec($txtcurso);
$sql="insert into
      bp_unidades
      set curso='$txtcurso',
      nombre='$txtnombre',
      bibliografia='$txtbibliografia',
      usuario='$uuser',
      fecha='$fechahora'";


if($ins=mysql_query($sql)){
alert("Unidad agregada con éxito","frm_bp_lst_unidad.php?gid=$gid&cid=$cid");
}else{
alert("Error, por favor intente de nuevo","javascript:history.go(-1)");
}
break; // fin de Add

case "Update":
if(!$idu){
 alert("Parámetros incorrectos","javascript:history.go(-1)");
}
$id_un=dec($idu);
$sql="update
      bp_unidades
      set curso='$txtcurso',
      nombre='$txtnombre',
      bibliografia='$txtbibliografia'
      where id = $id_un";
if($upd=mysql_query($sql)){
 alert("Unidad actualizada con éxito","frm_bp_lst_unidad.php?gid=$gid&cid=$cid");
}else{
 alert("Error, por favor intente de nuevo","javascript:history.go(-1)");
}
break;  // fin de update

case "Delete":
if(!$idu){
 alert("Parámetros incorrectos","javascript:history.go(-1)");
}

if($confirm=="ok"){
  $id_un=dec($idu);
  $del=mysql_query("delete from bp_unidades where id = $id_un");
  // hacer que elimine las preguntas de la unidad
}else{
 echo "ESTA SEGURO DE ELIMINAR LA SECCION Y TODAS SUS PREGUNTAS?";
 echo "<a href='$PHP_SELF?confirm=ok'>SI</a> <quote> <a href='javascript:history.go(-1)'>NO</a>";
}
break;

}

?>